#### Description:

This macro is intended to be used within the source or sink functions associated with a Channel. It returns any pointer previously stored in the Channel (that is, the Channel that has invoked the source or sink function) using astPutChannelData.

This mechanism is a thread-safe alternative to passing file descriptors, etc, via static global variables.

#### Synopsis

void ∗astChannelData

#### Applicability

##### Channel

This macro applies to all Channels.

#### Returned Value

##### astChannelData

The pointer previously stored with the Channel using astPutChannelData. A NULL pointer will be returned if no such pointer has been stored with the Channel.

#### Notes:

- This routine is not available in the Fortran 77 interface to the AST library.

Copyright (C) 2021 East Asian Observatory